[Genabel-commits] r1621 - pkg/GenABEL-general/scripts

noreply at r-forge.r-project.org noreply at r-forge.r-project.org
Sun Feb 23 23:07:58 CET 2014


Author: lckarssen
Date: 2014-02-23 23:07:57 +0100 (Sun, 23 Feb 2014)
New Revision: 1621

Modified:
   pkg/GenABEL-general/scripts/makedistrib_DatABEL.sh
Log:
Added check for identical version numbers in DESCRIPTION and zzz.R in the makedistrib_DatABEL.sh script.


Modified: pkg/GenABEL-general/scripts/makedistrib_DatABEL.sh
===================================================================
--- pkg/GenABEL-general/scripts/makedistrib_DatABEL.sh	2014-02-23 21:44:35 UTC (rev 1620)
+++ pkg/GenABEL-general/scripts/makedistrib_DatABEL.sh	2014-02-23 22:07:57 UTC (rev 1621)
@@ -81,6 +81,21 @@
     cd ..
 fi
 
+echo
+echo "--------------------------------------------------"
+echo "Checking package version numbers..."
+echo "--------------------------------------------------"
+
+DESCVERSION=$(gawk '$1=="Version:" {print $2}' DatABEL/DESCRIPTION)
+zzzVERSION=$(gawk '$1=="pkgVersion" {print $3}' DatABEL/R/zzz.R \
+    | sed 's/"//g')
+if [ "X$DESCVERSION" != "X$zzzVERSION" ]; then
+    echo "Version number in the DESCRIPTION file ($DESCVERSION)" \
+         "doesn't match the one in R/zzz.R ($zzzVERSION)" 1>&2
+    exit 1
+fi
+
+
 # In order not to mess with the current user's R library directory we
 # set one in /tmp. Most Linux distributions will remove the
 # directories in /tmp on reboot or after several days.



More information about the Genabel-commits mailing list